Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.expression
Class SimpleCaseExpression.WhenClause

    java.lang.Object
      org.hibernate.ejb.criteria.expression.SimpleCaseExpression.WhenClause

Enclosing class:
  SimpleCaseExpression<C,R>

    public class SimpleCaseExpression.WhenClause

extends Object

Constructor Summary
`SimpleCaseExpression.WhenClause(C condition, Expression<? extends R> result)`

Method Summary
`C` | `getCondition()`
`Expression<? extends R>` | `getResult()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleCaseExpression.WhenClause

    public SimpleCaseExpression.WhenClause(C condition,
                                           Expression<? extends R> result)

Method Detail

### getCondition

    public C getCondition()

### getResult

    public Expression<? extends R> getResult()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.